> For the complete documentation index, see [llms.txt](https://docs.moropo.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.moropo.com/creating-tests/commands/openlink.md).

# openLink

This command opens a web link. It can also be used for Deep Links (Android) and Magic Links (iOS)

## Examples

Use the command `link` option to open any link:

```yaml
- openLink:
    link: https://www.moropo.com
```

### Auto-Verify (Android only)

Set the `autoVerify` option to `true` (defaults to `false`) to bypass the 'Welcome to Chrome' onboarding menu.

```yaml
- openLink:
    link: https://www.moropo.com
    autoVerify: true
```

### Force Browser (Android only)

Some apps (such as Facebook) use in-built browsers to handle links. If you'd like to force Android to use the system browser (such as Chrome), then set `browser` to `true` (defaults to `false`):

```yaml
- openLink:
    link: https://www.moropo.com
    browser: true
```

*Note: in Android 13+, the operating system will opt to use the system browser by default.*

## Related Commands

[launchApp](/creating-tests/commands/launchapp.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.moropo.com/creating-tests/commands/openlink.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
